package com.muyu.event.basics;


public abstract class EventProcessBasics {

    /**
     * 下一个事件对象
     */
    protected EventProcessBasics nextEvent;

    /**
     * 下一个事件
     * @param nextHandler 下一个事件处理
     */
    public void setNextHandler(EventProcessBasics nextHandler) {
        this.nextEvent = nextHandler;
    }

    /**
     * 事件处理抽象类
     * @param eventKey 事件唯一key
     */
    public abstract void handleEvent(String eventKey);

}
