package com.muyu.event.domian;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * 事件驱动对象
 * @Author 刘武
 * @Data 2024/9/29
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class EventActuate {
    /**
     * json数据
     */
    private String jsonData;
    /**
     * 事件驱动key集合
     */
    private List<String> eventKeys;
}
