package com.muyu.server.controller.form;

import jakarta.validation.constraints.NotEmpty;
import lombok.Data;

/**
 * 删除企业信息
 * @author yuping
 * @Description 删除企业信息
 * @Version 1.0
 * @Data 2024-09-26 22:05:47
 */
@Data
public class DeleteEnterpriseByIds {

    @NotEmpty(message = "ids不能为空")
    private Integer[] ids;
}
