package com.muyu.server.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.common.domain.SysCar;
import com.muyu.common.domain.req.SysCarReq;
import com.muyu.common.domain.resp.SysCarFaultLogVo;
import com.muyu.common.domain.resp.SysCarVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SysCarMapper extends BaseMapper<SysCar> {
    List<SysCarVo> selectSysCarVoList(SysCarReq sysCarReq);

    SysCarVo selectSysCarVoById(@Param("id") Long id);

    List<SysCarFaultLogVo> findFenceByCarVin(@Param("carVin") String carVin);


    SysCar findCarByVin(@Param("carVin") String carVin);

    SysCar selectByCarVin(@Param("carVin") String carVin);

}
